rule generate_jupyter_book:
    input:
        jb_file=f"{ frangipane_obj.install_path }/report/frangiPANe_report.ipynb",
        ref_png=f"{frangipane_obj.path_stat_plot}/00_ref.png",
        ref_csv = f"{frangipane_obj.path_stat_sum}/00_ref.txt"
    output:
        jb_file=f"{ frangipane_obj.path_output }/report/frangiPANe_stats.ipynb"
    log:
        output = f"{frangipane_obj.path_logs}/report/log.o",
        error = f"{frangipane_obj.path_logs}/report/log.e"
    params:
        out_dir= frangipane_obj.path_output,
        fastq_dir=frangipane_obj.path_fastq,
        group_file=frangipane_obj.path_group,
        ref_file=frangipane_obj.path_reference_file,
        vec_file=frangipane_obj.path_univec,

        #project_name=frangipane_obj.path_output,
       # cpus=config['RESOURCES']['cpuNumber']
    script:
        f"{ frangipane_obj.snakemake_scripts }/generate_jb_frangiPANe.py"
